{ config, pkgs, lib, ... }:
{
  # See also:
  #   Temporary workaround until https://github.com/nix-community/home-manager/issues/3447 is merged.

  home-manager.users.yoda = { osConfig, config, pkgs, ... }: {
    home.file."keepassxc" = {
      target = ".config/autostart/org.keepassxc.KeePassXC.desktop";
      source = (pkgs.keepassxc + "/share/applications/org.keepassxc.KeePassXC.desktop");
    };

    home.file."signal-desktop" = lib.mkIf (osConfig.networking.hostName == "yodaTux") {
      target = ".config/autostart/" + pkgs.signal-desktop.pname + ".desktop";
      source = (pkgs.signal-desktop + "/share/applications/" + pkgs.signal-desktop.pname + ".desktop");
    };

    home.file."thunderbird" = lib.mkIf (osConfig.networking.hostName == "yodaTux") {
      target = ".config/autostart/" + pkgs.thunderbird.pname + ".desktop";
      source = (pkgs.thunderbird + "/share/applications/" + pkgs.thunderbird.pname + ".desktop");
    };
  };
}
